%define module_name App-git-ship
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git perl(Applify.pm) perl(ExtUtils/MakeMaker.pm) perl(IPC/Run3.pm) perl(Module/CPANfile.pm) perl(Module/Find.pm) perl(Mojolicious.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.33
Release: alt1
Summary: Git command for shipping your project
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/app-git-ship

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the App::git::ship manpage is a `git' command for shipping your project to CPAN or
some other repository.

This project can also the init entry elsewhere in this document (create) a new project, just the build entry elsewhere in this document (prepare
for shipping) and the clean entry elsewhere in this document projects.

The main focus is to automate away the boring steps, but at the same time not
get in your way. Problems should be solved with sane defaults according to
standard rules instead of enforcing more rules.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Fri Apr 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1
- updated by package builder

* Mon Mar 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1
- updated by package builder

* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.27-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- regenerated from template by package builder

* Thu Feb 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- regenerated from template by package builder

* Fri Apr 17 2015 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Tue Jul 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

